<?php
require_once($_SERVER['DOCUMENT_ROOT'].'/../models/kategorie.php');
require_once($_SERVER['DOCUMENT_ROOT'].'/../models/gerichte_self.php');

class ExampleController
{
    public function m4_6a_queryparameter(RequestData $rd) {
        /*
           Wenn Sie hier landen:
           bearbeiten Sie diese Action,
           so dass Sie die Aufgabe löst
        */
        $rd = $rd->query['name'] ?? 'Kein Name angegeben';

        return view('examples.m4_7a_queryparameter', [
            'request'=>$rd,
            'url' => 'http' . (isset($_SERVER['HTTPS']) ? 's' : '') . '://' . "{$_SERVER['HTTP_HOST']}{$_SERVER['REQUEST_URI']}"
        ]);
    }


    public function m4_7b_kategorie() {
        $data = db_kategorie_select_all();

        return view('examples.m4_7b_kategorie', [
            'data'=>$data,
        ]);
    }


    public function m4_7c_gerichte() {
        $data = db_gericht_select_intern();

        return view('examples.m4_7c_gerichte', [
            'data'=>$data,
        ]);
    }

    public function m4_7d(RequestData $rd) {

        $rd = $rd->query['no'] ?? 1;
        if ($rd == 1)
            return view('examples.pages.m4_7d_page_1', []);
        elseif ($rd == 2)
            return view('examples.pages.m4_7d_page_2', []);
    }
}